Cloud APIs
/- DrillPlan
AEA API
- /aea/v1/results/{job_id}
/aea/v1/agents
/aea/v1/results/jobs
/aea/v1/results/jobs/{job_id}
/aea/v1/results/{job_id}
Security
(bearer and appkey) or (sauth_service_token and appkey)
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/{job_id}
- ProdUShttps://api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/{job_id}
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/drillplan-aea-api/aea/v1/results/{job_id}
curl -i -X GET \
'https://eu-api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/{job_id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string'Success
calculationsArray of objects or null(AgentResult)
Response
{
"calculations": [
{
"agent_id": "string",
"calculation_id": "string",
"scope_id": "string",
"status": "New",
"progress": 0.1,
"results": [
{
"id": "string",
"name": "string",
"traffic_light": "Info",
"messages": [
{
"severity": "Info",
"text": "string"
}
],
"results": [
{
"template": "string",
"parameters": [
null
],
"name": "string",
"min_value": 0.1,
"max_value": 0.1,
"url": "string",
"segments": [
null
],
"index": {
"values": []
},
"series": [
null
],
"value_list": [
null
],
"table_values": [
null
],
"columns": [
null
],
"key": "string",
"value": 0.1,
"uom": "string",
"display_decimal_place": 0
}
],
"applicable": true
}
]
}
],
"job_id": "string",
"plan_id": "string",
"scope_id": "string",
"plan_version": 0,
"finished": true
}